EndpointsTournaments

Get tournament

GET/v2/tournaments/{tournament_id}

Return one visible tournament with its definition, bracket, and lifecycle state.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Path Parameters

tournament_id*Tournament Id

Tournament to return.

Match^tour_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
curl -X GET "https://softmax.com/api/observatory/v2/tournaments/string"
{  "tournament_id": "string",  "league_id": "string",  "name": "string",  "status": "draft",  "definition": {    "name": "string",    "schedule": {      "mode": "scheduled",      "starts_at": "2019-08-24T14:15:22Z",      "ends_at": "2019-08-24T14:15:22Z"    },    "roster_generator": {      "type": "explicit",      "entrants": [        {          "player_id": "string",          "policy_version_id": "string",          "display_name": "string"        },        {          "player_id": "string",          "policy_version_id": "string",          "display_name": "string"        }      ],      "host_division_id": "string"    },    "round_generator": {      "strategy": "double_elimination",      "grand_final_reset": true,      "best_of": 1    },    "placements": {      "type": "bracket_finish",      "tiers": [        {          "name": "string",          "ranks": [            0,            0          ]        }      ]    }  },  "frozen_entrants": [    {      "entrant_id": "string",      "player_id": "string",      "policy_version_id": "string",      "seed": 0,      "display_name": "string",      "league_policy_membership_id": "string"    }  ],  "visualization": {    "strategy": "double_elimination",    "size": 0,    "grand_final_reset": true,    "entrants": [      {        "entrant_id": "string",        "player_id": "string",        "policy_version_id": "string",        "seed": 0,        "display_name": "string"      }    ],    "matches": [      {        "match_id": "string",        "bracket": "winners",        "round_index": 0,        "slot_index": 0,        "label": "string",        "series_format": "bo1",        "entrant_a_id": "string",        "entrant_b_id": "string",        "winner_entrant_id": "string",        "status": "pending",        "edges": [          {            "to_match_id": "string",            "slot": "a",            "kind": "advance"          }        ]      }    ],    "current_round_key": "string",    "highlight_match_ids": [      "string"    ],    "champion_entrant_id": "string"  },  "placements": [    {      "entrant_id": "string",      "player_id": "string",      "rank": 0,      "tier": "string",      "score": 0    }  ],  "locked_at": "2019-08-24T14:15:22Z",  "locked_by": "string",  "started_at": "2019-08-24T14:15:22Z",  "completed_at": "2019-08-24T14:15:22Z",  "error": "string",  "created_at": "2019-08-24T14:15:22Z",  "idempotency_key": "string",  "requester_user_id": "string",  "host_division_id": "string",  "wave_experience_request_ids": {}}